
From: Rusty Lynch <rusty@linux.co.intel.com>

While initializing the adm1021 device, the driver is performing a conversion
from fixed point to Celcius on values that were declaired as Celcius.  On my
Dell Precision 220 this results in a shutdown after a couple of minutes
running.

The latch simply removes the conversion.



 25-akpm/drivers/i2c/chips/adm1021.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/i2c/chips/adm1021.c~adm1021-scaling-fix drivers/i2c/chips/adm1021.c
--- 25/drivers/i2c/chips/adm1021.c~adm1021-scaling-fix	Tue Aug 12 17:00:44 2003
+++ 25-akpm/drivers/i2c/chips/adm1021.c	Tue Aug 12 17:00:44 2003
@@ -356,13 +356,13 @@ static void adm1021_init_client(struct i
 {
 	/* Initialize the adm1021 chip */
 	adm1021_write_value(client, ADM1021_REG_TOS_W,
-			    TEMP_TO_REG(adm1021_INIT_TOS));
+			    adm1021_INIT_TOS);
 	adm1021_write_value(client, ADM1021_REG_THYST_W,
-			    TEMP_TO_REG(adm1021_INIT_THYST));
+			    adm1021_INIT_THYST);
 	adm1021_write_value(client, ADM1021_REG_REMOTE_TOS_W,
-			    TEMP_TO_REG(adm1021_INIT_REMOTE_TOS));
+			    adm1021_INIT_REMOTE_TOS);
 	adm1021_write_value(client, ADM1021_REG_REMOTE_THYST_W,
-			    TEMP_TO_REG(adm1021_INIT_REMOTE_THYST));
+			    adm1021_INIT_REMOTE_THYST);
 	/* Enable ADC and disable suspend mode */
 	adm1021_write_value(client, ADM1021_REG_CONFIG_W, 0);
 	/* Set Conversion rate to 1/sec (this can be tinkered with) */

_
